petsc-3.7.7 2017-09-25
Report Typos and Errors

# SNESVINEWTONRSLS

Reduced space active set solvers for variational inequalities based on Newton's method

### Options Database

| -snes_type <vinewtonssls,vinewtonrsls> a semi | - smooth solver, a reduced space active set method
| -snes_vi_monitor | - prints the number of active constraints at each iteration.

### References

1. -T. S. Munson, and S. Benson. Flexible Complementarity Solvers for Large Scale Applications, Optimization Methods and Software, 21 (2006).

### See Also

SNESVISetVariableBounds(), SNESVISetComputeVariableBounds(), SNESCreate(), SNES, SNESSetType(), SNESVINEWTONSSLS, SNESNEWTONTR, SNESLineSearchSet(),SNESLineSearchSetPostCheck(), SNESLineSearchSetPreCheck()

Level:beginner
Location:src/snes/impls/vi/rs/virs.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages